/*
 	1. MOBILE SECTION
	2. MEDIA QUERIES FIX
	3. RESPONSIVE
*/

/*============================================================================================*/
/*=== 1. MOBILE SECTION ======================================================================*/
#mobile-nav {
  overflow: hidden;
  clear: both;
  background-color: #000;
}

#mobile-nav .logo {
  float: left;
  margin: 0;
  padding: 0;
  width: 250px;
}

#mobile-nav .logo span {
  color: #fff;
  font-size: 20px;
  font-weight: normal;
}

#mobile-nav .logo img {
  margin: 0;
}

#mobile-nav .mobile-nav-icon-toggle {
  float: right;
  margin-top: 25px;
}

#mobile-nav .mobile-nav-icon-toggle .mobi-nav-btn {
  display: block;
  padding-left: 27px;
  background: url(../images/mob-nav-icon.png) no-repeat;
  background-size: 20px 15px;
  text-transform: uppercase;
  height: 15px;
  line-height: 15px;
  cursor: pointer;
  color: #ffffff;
}

.mobile-section {
  display: block;
  clear: both;
  overflow: hidden;
  padding: 20px;
}

.mobile-section.section-cart-account {
  text-align: center;
  background-color: #3f3f3f;
  padding: 10px 10px 3px;
}

.mobile-section.section-cart-account .mobile-account,
.mobile-section.section-cart-account .mobile-cart {
  display: inline-block;
  overflow: hidden;
  text-transform: uppercase;
}

.mobile-section.section-cart-account .mobile-cart a {
  margin-left: 20px;
  color: #fff;
}

.mobile-section.section-cart-account a:hover {
  color: #31c2e1;
}

.mobile-section.section-cart-account .mobile-account .header-login {
  border: none;
}

.mobile-section.section-cart-account .mobile-account .header-login:hover {
  background: none;
}

.mobile-section.section-cart-account .mobile-cart .icon-cart {
  display: inline-block;
  width: 21px;
  height: 21px;
  line-height: 20px;
  background: url(../images/icon_cart.png) no-repeat 0px 0px;
  margin-right: 5px;
  transition: 0.5s ease;
  -webkit-transition: 0.5s ease;
  -moz-transition: 0.5s ease;
}

.mobile-section.section-cart-account .mobile-cart .cart_number {
  font-weight: bold;
  color: #31c2e1;
}

/*Mobile navigation*/
.mobi-nav-menu {
  position: absolute;
  z-index: 1000;
  width: 100%;
  background: rgba(17, 17, 17, 0.96);
  text-transform: uppercase;
  font-size: 12px;
  display: none;
}

.mobi-nav-menu ul {
  margin-left: 0;
  list-style: none;
}

.mobi-nav-menu li {
  padding-bottom: 0;
  position: relative;
  list-style: none;
}

.mobi-nav-menu ul li a {
  display: block;
  padding: 15px 3%;
  border-bottom: 1px solid rgba(255, 255, 255, 0.07);
  color: #ffffff;
}

.mobi-nav-menu ul ul {
  background-color: rgba(255, 255, 255, 0.11);
  display: none;
}

.mobi-nav-menu ul ul li {
  padding-left: 2%;
}

.mobi-nav-arrow {
  position: absolute;
  top: 0px;
  right: 0px;
  width: 50px;
  height: 50px;
  border-left: 1px dotted rgba(255, 255, 255, 0.11);
  text-align: center;
  cursor: pointer;
  font-size: 20px;
  line-height: 30px;
  color: #ffffff;
}

.mobi-nav-arrow span {
  margin-top: 15px;
  display: block;
}

.mobi-nav-arrow span:before {
  content: "\f107";
  text-transform: none;
  font-weight: normal;
  font-style: normal;
  font-variant: normal;
  font-family: "Font Awesome 5 Pro";
  line-height: 1;
  -webkit-font-smoothing: antialiased;
}

.icon-arrow-down-2:before,
.mob-nav-arrow span:before {
  content: "\e007";
  text-transform: none;
  font-weight: normal;
  font-style: normal;
  font-variant: normal;
  font-family: "Font Awesome 5 Pro";
  line-height: 1;
  -webkit-font-smoothing: antialiased;
}

/*============================================================================================*/
/*=== 2. MEDIA QUERIES FIX ===================================================================*/
@media only screen and (max-width: 319px) {
  * {
    display: none !important;
  }
}

/*============================================================================================*/
/*=== 3. RESPONSIVE ==========================================================================*/
@media only screen and (max-width: 767px) and (min-width: 320px) {
  .mobi-mt40 {
    margin-top: 40px;
  }

  .vc_row.section-thanhtuu {
    padding: 50px 0 !important;
  }

  .vc_row.section-home-lienhe {
    padding-top: 100px !important;
    padding-bottom: 100px !important;
  }

  .section-nghesat-right .vc_column-inner {
    padding: 40px 15px 0 !important;
    margin-bottom: -30px;
  }


  .vc_tta.vc_tta-tabs .vc_tta-panel-heading {
    display: none !important;
  }

  .vc_tta.vc_tta-tabs .vc_tta-tabs-container {
    display: block !important;
  }

  .vc_tta.vc_general .vc_tta-tab {
    display: block !important;
  }

  .vc_tta.vc_tta-shape-rounded .vc_tta-tab > a {
    border-radius: 5px !important;
  }

  .vc_tta-tabs:not([class*="vc_tta-gap"]):not(.vc_tta-o-no-fill).vc_tta-tabs-position-top
    .vc_tta-tab.vc_active
    > a {
    border-bottom-color: inherit !important;
  }

  .vc_tta.vc_tta-shape-rounded .vc_tta-tabs-container {
    margin: 0 !important;
  }

  html .wpb_gallery.ca-cols2 .wpb_image_grid .wpb_image_grid_ul .isotope-item,
  html .wpb_gallery.ca-cols3 .wpb_image_grid .wpb_image_grid_ul .isotope-item,
  html .wpb_gallery.ca-cols4 .wpb_image_grid .wpb_image_grid_ul .isotope-item,
  html .wpb_gallery.ca-cols5 .wpb_image_grid .wpb_image_grid_ul .isotope-item {
    width: 50%;
  }

  /*GENERAL*/
  .slick-prev,
  .slick-next {
    opacity: 1;
  }

  .vc_row.vc_inner .vc_column_container > .vc_column-inner {
    padding-left: 0;
    padding-right: 0;
  }

  body .vc_row.vc_inner {
    margin: 0;
  }

  .cat-breadcrumbs .breadcrumb-contents {
    height: 200px;
  }

  h1.heading-title.page-title {
    font-size: 30px !important;
    line-height: 30px !important;
    margin: 0;
  }

  h3.heading-title.small-large-title {
    font-size: 18px;
  }

  h3.heading-title.small-large-title i {
    font-size: 25px;
    line-height: 30px;
    margin: 0px;
  }

  h3.heading-title {
    font-size: 28px;
    line-height: 38px;
  }

  body.home h3.heading-title.align-center {
      text-align: left;
  }

  .home-section-nghesat.vc_row .section-nghesat-left .vc_column-inner {
    background-position: center !important;
  }

  .single-post article.post .item .entry-header .single-top-meta {
      text-align: left;
  }
  .single-post article.post .item .entry-header .single-top-meta:after {
      margin-left: 0;
  }


  .single-post article.post .item .entry-content img {
    max-width: 100%;
  }

  .single-post article.post .item .entry-header .single-top-meta .title {
    font-size: 30px;
    line-height: 40px;
  }

  #footer .footer-middle {
    padding-bottom: 30px;
  }

  #footer .footer-box,
  #footer .footer-box:last-child {
    margin-bottom: 50px;
  }

  #footer .footer-top {
    background-position: calc(50% - 30px);
}

  /*HOME PAGE*/
  body.home rs-module-wrap {
    height: 400px !important;
  }

  /*FERRUMART PAGE*/
  .section-doingu .ca_service_block .ca_service_wrapper {
    min-height: auto !important;
  }

  .section-doingu .ca_service_block.left .ca_service_wrapper {
    margin-bottom: 30px !important;
  }

  .wpb_content_element .wpb_gallery_slides.wpb_flexslider ul li {
    display: flex !important;
    align-items: center;
    justify-content: center;
  }

  .wpb_content_element .wpb_gallery_slides.wpb_flexslider ul li img {
    height: 300px;
    width: auto !important;
    max-width: none !important;
  }

  /*PROJECT PAGE*/
  .cata-shortcode.projects .item,
  .cata-shortcode.projects .item:nth-child(even) {
    flex-direction: column;
  }

  .cata-shortcode.projects .item .item-detail,
  .cata-shortcode.projects .item:nth-child(even) .item-detail {
    width: 100%;
    margin-top: 20px;
    text-align: left;
  }

  /*PROJECT PAGE*/
  .slider-pages.style-list.col3 li,
  .slider-pages.style-list.col4 li,
  .slider-pages.style-list.col5 li {
    width: 50%;
  }

  .slider-pages.style-list li img {
    width: 100%;
  }


  .header-bottom {
    display: none;
  }
  #cata-template-wrapper {
    margin-bottom: 0 !important;
  }

  h3.heading-sub-title {
    text-align: center;
  }

  .wg-recent-posts li.cata-thumb-large .post_thumbnail img {
    height: 270px;
  }

  .pp_pic_holder.pp_woocommerce {
    width: 100% !important;
    left: 0 !important;
    -webkit-overflow-scrolling: touch;
    overflow-y: scroll;
  }

  .pp_pic_holder.pp_woocommerce iframe {
    height: 400px;
  }

  div.pp_woocommerce .pp_content_container .pp_left {
    padding-right: 0px !important;
  }

  div.pp_woocommerce .pp_content_container .pp_right {
    padding-right: 0 !important;
    max-height: inherit;
  }

  body div.pp_woocommerce .pp_content {
    width: 100% !important;
    height: auto !important;
  }

  .pp_fade {
    width: 100% !important;
    height: 100% !important;
    padding: 90px 15px 0;
  }

  a.pp_expand,
  a.pp_contract,
  .pp_hoverContainer,
  .pp_gallery,
  .pp_top,
  .pp_bottom {
    display: none !important;
  }

  #pp_full_res img {
    width: 100% !important;
    height: auto !important;
  }

  .pp_details {
    width: 94% !important;
    padding-left: 3%;
    padding-right: 4%;
    padding-top: 20px;
    padding-bottom: 20px;
    background-color: #fff;
    margin-top: -2px !important;
  }

  a.pp_close {
    top: 0px !important;
  }

  .cata_quickshop_popup_wrapper .port-content {
    text-align: center;
    width: 90%;
    margin: 30px auto 0;
  }

  .blog-item a.read-more:hover .more-arrow {
    float: none;
  }

  .ca-post-ziczac .blog-item .entry-header {
    float: none;
    position: relative;
    width: 100%;
  }

  .ca-post-ziczac .blog-item .entry-content {
    float: none !important;
    width: 100% !important;
    padding: 30px 10px 20px !important;
  }

  .ca-post-ziczac .blog-item img.avatar {
    top: inherit;
    right: 50%;
    bottom: -35px;
    margin-right: -30px;
  }

  .ca-post-ziczac .item-odd .entry-header {
    float: none;
    width: 100%;
  }

  .ca-post-ziczac .blog-item.item-odd .entry-header img.avatar {
    left: inherit;
    right: 50%;
    margin-right: -30px;
  }

  .ca-post-masonry.cols1 .blog-item,
  .ca-post-masonry.cols2 .grid-sizer,
  .ca-post-masonry.cols2 .blog-item ,
  .ca-post-masonry.cols3 .grid-sizer,
  .ca-post-masonry.cols3 .blog-item,
  .ca-post-masonry.cols4 .grid-sizer,
  .ca-post-masonry.cols4 .blog-item {
    width: 100%;
  }

  .search-area .search-item,
  .search-area .grid-sizer {
    width: 100%;
  }

  #main-container-wrapper #container.sb-right .main-content {
    padding-right: 0;
  }

  .container.cata-template-sidebar
    .related.related_post
    li
    .post-item
    .thumbnail
    img {
    height: 240px;
  }

  .container.cata-template-sidebar
    .related.related_post
    .cata-shortcode.related_post_slider
    .owl-controls
    .owl-next,
  .container.cata-template-sidebar
    .related.related_post
    .cata-shortcode.related_post_slider
    .owl-controls
    .owl-prev {
    top: 110px;
  }

  ol.commentlist li.comment ul.children li.depth-2,
  ol.commentlist li.comment ul.children li.depth-3,
  ol.commentlist li.comment ul.children li.depth-4,
  ol.commentlist li.comment ul.children li.depth-5,
  ol.commentlist li.comment ul.children li.depth-6,
  ol.commentlist li.comment ul.children li.depth-7,
  ol.commentlist li.comment ul.children li.depth-8,
  ol.commentlist li.comment ul.children li.depth-9,
  ol.commentlist li.comment ul.children li.depth-10 {
    margin: 0;
  }

  /*======================================================================*/
  /*=== 1. MENU HORIZONTAL ===============================================*/
  .vc_row[data-vc-stretch-content] {
    padding-left: 0 !important;
    padding-right: 0 !important;
  }

  .ca_service_block .cols-wrapper .col.video {
    margin-bottom: 0;
  }

  .ca-iconbox.cata-shortcode.icon-left {
    text-align: center;
  }

  .ca-iconbox.cata-shortcode.icon-left .icon {
    float: none;
    margin: 0 auto 30px;
  }

  .ca-iconbox.cata-shortcode.icon-left.style-rounded .wrap-iconbox {
    margin-left: 0;
  }

  .ca-milestone.cata-shortcode {
    margin-bottom: 30px !important;
  }

  .social-icons-wrap.style-icontext .ca-social-icons.icons-4 li,
  .social-icons-wrap.style-icontext .ca-social-icons.icons-5 li,
  .social-icons-wrap.style-icontext .ca-social-icons.icons-6 li,
  .social-icons-wrap.style-icontext .ca-social-icons.icons-7 li {
    width: 33.33%;
    margin-bottom: 20px;
  }
}

@media only screen and (max-width: 600px) {
  /*PROJECT PAGE*/
  .slider-pages.style-list.col2 li,
  .slider-pages.style-list.col3 li,
  .slider-pages.style-list.col4 li,
  .slider-pages.style-list.col5 li {
    width: 80%;
    display: block;
    margin: auto;
    text-align: center;
  }

  html .wpb_gallery.ca-cols2 .wpb_image_grid .wpb_image_grid_ul .isotope-item,
  html .wpb_gallery.ca-cols3 .wpb_image_grid .wpb_image_grid_ul .isotope-item,
  html .wpb_gallery.ca-cols4 .wpb_image_grid .wpb_image_grid_ul .isotope-item,
  html .wpb_gallery.ca-cols5 .wpb_image_grid .wpb_image_grid_ul .isotope-item {
    width: 100%;
  }
}

@media only screen and (max-width: 500px) {
  h3.heading-title.w-border-h1 {
    margin-bottom: 40px;
  }

  h3.heading-title.w-border-h1:before,
  h3.heading-title.w-border-h1:after {
    display: none;
  }

  body a.backtotop {
    display: none !important;
  }

  .wg-recent-posts li.cata-thumb-large .post_thumbnail img {
    height: 170px;
  }

  #respond #commentform .comment-author-wrapper p {
    display: block;
    float: none;
    margin-right: 0;
    width: 100%;
  }

  #respond #commentform .comment-author-wrapper p:last-child {
    margin-bottom: 30px;
  }

  .pp_pic_holder.pp_woocommerce iframe {
    height: 280px;
  }

  ol.commentlist li.comment div.vcard img.avatar {
    width: 30px;
  }

  ol.commentlist li.comment div.comment-author {
    min-width: 30px;
    margin-top: 20px;
  }

  ol.commentlist li.comment div.wrap-comment-info {
    margin-left: 50px;
  }

  ol.commentlist li.comment .meta-datetime {
    display: none;
  }

  /*fix slider*/
  .rev_slider .demo-video-slider .rev-logo img {
    width: 70px !important;
    height: 70px !important;
    margin-top: -70px !important;
  }

  .rev_slider .demo-video-slider .rev-button {
    margin-top: 20px !important;
  }
}

@media only screen and (max-width: 1199px) and (min-width: 768px) {
  .header.v1 .header-bottom-container {
    display: block;
  }

  .header.v1 .header-logo {
    margin: 0 auto 15px;
  }

  .header.v1 .header-bottom {
    height: 145px;
  }

  .header.v1 .header-socials {
    display: block;
  }

  .header.v1 .header-search-socials {
    float: right;
  }

  #menu {
    padding: 0px 20px 0 0;
  }

  .ca-post-ziczac .blog-item .entry-content,
  .ca-post-ziczac .blog-item.item-odd .entry-content {
    padding-top: 0;
  }
}

@media only screen and (max-width: 991px) and (min-width: 768px) {
  .header.v1 .header-search-socials {
    float: right;
  }

  .header.v1 .header-socials {
    display: none;
  }

  /*HOME*/
  .section-nghesat-right .vc_column-inner {
    padding-left: 40px !important;
    padding-top: 0 !important;
  }

  .vc_row.section-thanhtuu {
    padding: 50px 15px !important;
  }

  .vc_row.section-home-lienhe {
    padding-top: 150px !important;
    padding-bottom: 150px !important;
  }

  /*FERRUMART PAGE*/
  .ca-post-ziczac .blog-item .entry-content,
  .ca-post-ziczac .blog-item.item-odd .entry-content {
    padding: 0;
  }

  /*PROJECT PAGE*/
  .slider-pages.style-list.col4 li,
  .slider-pages.style-list.col5 li {
    width: 33.33%;
  }

  #main-container-wrapper #container.sb-right .main-content {
    padding-right: 0;
  }

  .ca-post-masonry.cols3 .grid-sizer,
  .ca-post-masonry.cols3 .blog-item,
  .ca-post-masonry.cols4 .grid-sizer,
  .ca-post-masonry.cols4 .blog-item {
    width: 50%;
  }

  .pp_pic_holder.pp_woocommerce {
    width: 100% !important;
    left: 0 !important;
  }

  .pp_pic_holder.pp_woocommerce iframe {
    height: 400px;
  }

  div.pp_woocommerce .pp_content_container .pp_left {
    padding-right: 0px !important;
  }

  div.pp_woocommerce .pp_content_container .pp_right {
    padding-right: 0 !important;
    max-height: inherit;
  }

  body div.pp_woocommerce .pp_content {
    width: 100% !important;
    height: auto !important;
  }

  .pp_fade {
    width: 100% !important;
    height: 100% !important;
    padding-right: 15px;
    padding-left: 15px;
  }

  a.pp_expand,
  a.pp_contract,
  .pp_hoverContainer,
  .pp_gallery,
  .pp_top,
  .pp_bottom {
    display: none !important;
  }

  #pp_full_res img {
    width: 100% !important;
    height: auto !important;
  }

  .pp_details {
    width: 94% !important;
    padding-left: 3%;
    padding-right: 4%;
    padding-top: 20px;
    padding-bottom: 20px;
    background-color: #fff;
    margin-top: -2px !important;
  }

  .search-area .search-item,
  .search-area .grid-sizer {
    width: 50%;
  }

  /*======================================================================*/
  /*=== GENERAL SETTING 3 HOME ===========================================*/
  .vc_row[data-vc-full-width]
    .ca-iconbox.cata-shortcode.style-rounded.icon-top {
    padding: 10%;
  }

  .wpb_single_image .vc_figure,
  .wpb_single_image .vc_single_image-wrapper,
  .wpb_single_image img {
    width: 100%;
  }

  #footer .footer-middle {
    padding-bottom: 30px;
  }

  #footer .footer-box,
  #footer .footer-box:last-child {
    padding: 0 30px;
    margin-bottom: 40px;
  }

  .ca_service_block .cols-wrapper .col.video {
    margin-bottom: 0;
  }
}

@media only screen and (max-width: 1199px) and (min-width: 992px) {
  .ca-post-masonry.cols4 .grid-sizer,
  .ca-post-masonry.cols4 .blog-item {
    width: 50%;
  }

  .pp_pic_holder.pp_woocommerce {
    width: 100% !important;
    left: 0 !important;
  }

  div.pp_woocommerce .pp_content_container .pp_left {
    padding-right: 0px !important;
  }

  div.pp_woocommerce .pp_content_container .pp_right {
    padding-right: 0 !important;
    max-height: inherit;
  }

  body div.pp_woocommerce .pp_content {
    width: 100% !important;
    height: auto !important;
  }

  .pp_fade {
    width: 100% !important;
    height: 100% !important;
    padding-right: 15px;
    padding-left: 15px;
  }

  a.pp_expand,
  a.pp_contract,
  .pp_hoverContainer,
  .pp_gallery,
  .pp_top,
  .pp_bottom {
    display: none !important;
  }

  #pp_full_res img {
    width: 100% !important;
    height: auto !important;
  }

  .pp_details {
    width: 94% !important;
    padding-left: 3%;
    padding-right: 4%;
    padding-top: 20px;
    padding-bottom: 20px;
    background-color: #fff;
    margin-top: -2px !important;
  }

  /*======================================================================*/
  /*=== 1. MENU HORIZONTAL ===============================================*/
  .ca_service_block {
    min-height: inherit;
    max-height: inherit;
  }

  .ca_service_block .cols-wrapper .col {
    min-height: inherit !important;
    max-height: inherit !important;
    margin-bottom: 0;
  }

  .ca_service_block .cols-wrapper .col.image,
  .ca_service_block .cols-wrapper .col.video {
    min-height: 500px !important;
  }

  .ctent-service .ca_service_wrapper {
    min-height: inherit;
  }

  .ctent-service.left .ca_service_wrapper > div {
    float: none;
    width: auto;
    min-height: inherit;
    padding: 70px 20px 0px 20px;
  }

  .ctent-service.right .ca_service_wrapper > div {
    float: none;
    width: auto;
    min-height: inherit;
    padding: 40px 20px 0 20px;
  }
}
